Vulnerability   
Search   
    Search 211766 CVE descriptions
and 97459 test descriptions,
access 10,000+ cross references.
Tests   CVE   All  

Test ID:1.3.6.1.4.1.25623.1.1.4.2017.1282.1
Category:SuSE Local Security Checks
Title:SUSE: Security Advisory (SUSE-SU-2017:1282-1)
Summary:The remote host is missing an update for the 'libxslt' package(s) announced via the SUSE-SU-2017:1282-1 advisory.
Description:Summary:
The remote host is missing an update for the 'libxslt' package(s) announced via the SUSE-SU-2017:1282-1 advisory.

Vulnerability Insight:
This update for libxslt fixes the following issues:
- CVE-2017-5029: The xsltAddTextString function in transform.c lacked a
check for integer overflow during a size calculation, which allowed a
remote attacker to perform an out of bounds memory write via a crafted
HTML page (bsc#1035905).
- CVE-2016-4738: Fix heap overread in xsltFormatNumberConversion: An empty
decimal-separator could cause a heap overread. This can be exploited to
leak a couple of bytes after the buffer that holds the pattern string
(bsc#1005591).
- CVE-2015-9019: Properly initialize random generator (bsc#934119).
- CVE-2015-7995: Vulnerability in function xsltStylePreCompute' in
preproc.c could cause a type confusion leading to DoS. (bsc#952474)

Affected Software/OS:
'libxslt' package(s) on SUSE Linux Enterprise Software Development Kit 11-SP4, SUSE Linux Enterprise Server 11-SP4, SUSE Linux Enterprise Debuginfo 11-SP4

Solution:
Please install the updated package(s).

CVSS Score:
9.3

CVSS Vector:
AV:N/AC:M/Au:N/C:C/I:C/A:C

Cross-Ref: Common Vulnerability Exposure (CVE) ID: CVE-2015-7995
http://lists.apple.com/archives/security-announce/2016/Jan/msg00002.html
http://lists.apple.com/archives/security-announce/2016/Jan/msg00003.html
http://lists.apple.com/archives/security-announce/2016/Jan/msg00005.html
http://lists.apple.com/archives/security-announce/2016/Mar/msg00001.html
BugTraq ID: 77325
http://www.securityfocus.com/bid/77325
Debian Security Information: DSA-3605 (Google Search)
http://www.debian.org/security/2016/dsa-3605
http://www.openwall.com/lists/oss-security/2015/10/27/10
http://www.openwall.com/lists/oss-security/2015/10/28/4
http://www.securitytracker.com/id/1034736
http://www.securitytracker.com/id/1038623
http://www.slackware.com/security/viewer.php?l=slackware-security&y=2016&m=slackware-security.386546
SuSE Security Announcement: openSUSE-SU-2016:1439 (Google Search)
http://lists.opensuse.org/opensuse-updates/2016-05/msg00123.html
Common Vulnerability Exposure (CVE) ID: CVE-2015-9019
https://bugzilla.gnome.org/show_bug.cgi?id=758400
https://bugzilla.suse.com/show_bug.cgi?id=934119
Common Vulnerability Exposure (CVE) ID: CVE-2016-4738
http://lists.apple.com/archives/security-announce/2016/Sep/msg00006.html
http://lists.apple.com/archives/security-announce/2016/Sep/msg00008.html
http://lists.apple.com/archives/security-announce/2016/Sep/msg00010.html
http://lists.apple.com/archives/security-announce/2016/Sep/msg00011.html
BugTraq ID: 93054
http://www.securityfocus.com/bid/93054
Debian Security Information: DSA-3709 (Google Search)
http://www.debian.org/security/2016/dsa-3709
https://lists.fedoraproject.org/archives/list/package-announce@lists.fedoraproject.org/message/SK4YNISS22MJY22YX5I6V2U63QZAUEHA/
http://www.securitytracker.com/id/1036858
Common Vulnerability Exposure (CVE) ID: CVE-2017-5029
BugTraq ID: 96767
http://www.securityfocus.com/bid/96767
Debian Security Information: DSA-3810 (Google Search)
http://www.debian.org/security/2017/dsa-3810
RedHat Security Advisories: RHSA-2017:0499
http://rhn.redhat.com/errata/RHSA-2017-0499.html
http://www.securitytracker.com/id/1038157
CopyrightCopyright (C) 2021 Greenbone Networks GmbH

This is only one of 97459 vulnerability tests in our test suite. Find out more about running a complete security audit.

To run a free test of this vulnerability against your system, register below.




© 1998-2021 E-Soft Inc. All rights reserved.